<?php
// main model containing general config and UI functions
class WatuPROGet {
   static function install() {
   	global $wpdb;	
   	$wpdb -> show_errors();
   	
   	self::init();
	   
    // relations bewteen completed exams and mailing lists. 
    // For now not depending on exam result but place the field for later use
    if($wpdb->get_var("SHOW TABLES LIKE '".WATUPROGET_RELATIONS."'") != WATUPROGET_RELATIONS) {  
        $sql = "CREATE TABLE `".WATUPROGET_RELATIONS."` (
				id int(11) unsigned NOT NULL auto_increment PRIMARY KEY,
				exam_id int(11) unsigned NOT NULL default '0',
				campaign_id VARCHAR(100) NOT NULL DEFAULT '',
				grade_id int(11) unsigned NOT NULL default '0'
			) CHARACTER SET utf8;";
        $wpdb->query($sql);         
    	}
	}	   
   
   // main menu
   static function menu() {
   	add_submenu_page('watupro_exams', __('Bridge to GetResponse', 'watuproget'), __('Bridge to GetResponse', 'watuproget'), 'manage_options', 
   		'watuproget', array('WatuPROGetBridge','main'));	
	}
	
	// CSS and JS
	static function scripts() {   
   	wp_enqueue_script('jquery');
	}
	
	// initialization
	static function init() {
		global $wpdb;
		load_plugin_textdomain( 'watuproget' );
		define('WATUPROGET_RELATIONS', $wpdb->prefix.'watuproget_relations');
		
		add_action('watupro_completed_exam', array('WatuPROGetBridge', 'complete_exam'));
	}	
}