<?php
/*
Plugin Name: WatuPRO to GetResponse Bridge 
Plugin URI: 
Description: Automatically subscribe users who take quizzes to your GetResponse campaigns
Author: Kiboko Labs
Version: 1.0
Author URI: http://calendarscripts.info/
License: GPLv2 or later
Text-domain: watuprocmon
*/

define( 'WATUPROGET_PATH', dirname( __FILE__ ) );
define( 'WATUPROGET_RELATIVE_PATH', dirname( plugin_basename( __FILE__ )));
define( 'WATUPROGET_URL', plugin_dir_url( __FILE__ ));

// require controllers and models
require_once(WATUPROGET_PATH.'/models/basic.php');
require_once(WATUPROGET_PATH.'/controllers/bridge.php');

add_action('init', array("WatuPROGet", "init"));

register_activation_hook(__FILE__, array("WatuPROGet", "install"));
add_action('watupro_admin_menu', array("WatuPROGet", "menu"));